package com.steerinfo.ems.emsscqklg.service.impl;

import com.client.MswebserviceStub;
import com.steerinfo.ems.Utils.MosaicUtils;
import com.steerinfo.ems.Utils.StrUtils;
import com.steerinfo.ems.emsscqklg.mapper.LgRealMapper;
import com.steerinfo.ems.emsscqklg.model.LgReal;
import com.steerinfo.ems.emsscqklg.service.EmsLgReportService;
import com.steerinfo.ems.emsscqklg.service.ILgRealService;
import org.apache.axis2.AxisFault;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("lgRealService")
public class LgRealImpl  implements ILgRealService {

    private static final Logger logger = LoggerFactory.getLogger(LgRealImpl.class);

    @Autowired
    private LgRealMapper lgRealMapper;

    @Autowired
    private EmsLgReportService emsLgReportService;




    @Override
    public List<LgReal> QueryLgReals() throws AxisFault {
        List<LgReal> lgReals = emsLgReportService.queryReals();
        MswebserviceStub stub;

        if (lgReals.size() < 1) {
            logger.info("当前没有数据");
            return emsLgReportService.queryReals();
        }
        try{
            stub = new MswebserviceStub("http://172.16.90.229:9900");

            // Open
            MosaicUtils.SetOpenConnSample(stub);

            for (LgReal model : lgReals) {
                if (!StrUtils.isNumeric(model.getEng().trim())) {
                    continue;
                }
                String sql = "update Ana set Eng='"+Double.parseDouble(model.getEng().trim())+"' where AltId='"+ model.getAltId()+"'";
                MosaicUtils.SetUpdateValue(stub, sql);
            }
            // Close
            MosaicUtils.SetCloseConnSample(stub);
        } catch (AxisFault e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        }
        return emsLgReportService.queryReals();
    }
}
